.posts-item {
    max-width: 100%;
    height: 100%;
    background: var(--color-surface);
    gap: 0;
    border-radius: 1rem;
    color: var(--color-text);
    transition: var(--trans);
}

.posts-item__image {
    aspect-ratio: 400/195;
    overflow: hidden;
}

.posts-item__image .no-image {
    filter: grayscale(1) brightness(0);
}

.posts-item__content {
    gap: 1.5rem;
    padding: 3rem;
    flex: 1;
}

.post-cats,
.posts-item__tags {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.posts-item__title {
    font-weight: 700;
}

.posts-item__footer {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    gap: 2rem;
    padding-top: 4rem;
    margin-top: auto;
}

@media (hover: hover) and (pointer: fine) {
    .posts-item:hover {
        background: var(--color-hover);
        box-shadow: inset 0 0 0 0.1rem transparent;
    }
}

@media screen and (max-width: 575.9px) {
    .posts-item__image {
        aspect-ratio: 335/195;
    }

    .posts-item__date {
        font-size: 1rem;
    }

}